<?php

	include_once( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	include_once( PLOG_CLASS_PATH."plugins/plogeshi/class/view/pluginplogeshiconfigview.class.php" );		

	/**
	 * shows a form with the current configuration
	 */
	class PluginPloGeSHiConfigAction extends AdminAction
	{
		
		function PluginPloGeSHiConfigAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );
		}
		
		function perform()
		{
            $this->_view = new PluginPlogeshiConfigView( $this->_blogInfo );
			
			$this->setCommonData();
			
			return true;
		}
	}
?>